2017-12-15 23:41 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002781OpenFOAM[All Projects] Bugpublic2017-12-06 11:12
Reporterduncanm 
Assigned Tochris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Version5.0 
Target VersionFixed in Version 
Summary0002781: snappyMultiRegionHeater tutorial crashes
DescriptionUsing OpenFOAM 5.0 (on AWS / CFD Direct from the cloud), running the snappyMultiRegionHeater tutorial results in a crash of chtMultiRegionFoam.

This does not happen on version 5.x, but there is no difference in the two tutorial setups.
Steps To Reproduceuse AllRun script of the snappyMultiRegionHeater tutorial on openFOAM 5.0.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009134

chris (manager)

I can reproduce the crash which is with the openfoam5, version "0-1" package for Ubuntu 16.04:
https://openfoam.org/download/5-0-ubuntu/

I think the crash is caused by the same issue reported here:
https://bugs.openfoam.org/view.php?id=2663

This issue was resolved on 15 August 2017:
https://github.com/OpenFOAM/OpenFOAM-5.x/commit/2d41f24

The openfoam5 pack for Ubuntu was patched on 30 October 2017, so includes this fix; pack version is "20171030"
https://openfoam.org/news/v5-0-patch/

The Ubuntu version (on AWS / CFD Direct from the cloud, or anywhere else) can be updated by entering the following in the terminal (ignore titles with #)

# Add repository and key
sudo add-apt-repository http://dl.openfoam.org/ubuntu
sudo sh -c "wget -O - http://dl.openfoam.org/gpg.key | apt-key add -"

# Update and upgrade the package
sudo apt-get update
sudo apt-get install --only-upgrade openfoam5

# Check the update package is installed
apt-cache policy openfoam5
+Notes

-Issue History
Date Modified Username Field Change
2017-12-04 22:46 duncanm New Issue
2017-12-05 19:05 chris Note Added: 0009134
2017-12-06 11:12 chris Assigned To => chris
2017-12-06 11:12 chris Status new => closed
2017-12-06 11:12 chris Resolution open => fixed
+Issue History